## baloo-kf5 5.54.0

=== CMakeLists.txt ===
# set minimum version requirements
cmake_minimum_required(VERSION 3.5)
set(REQUIRED_QT_VERSION 5.9.0)
set(KF5_VERSION "5.54.0") # handled by release scripts
set(KF5_DEP_VERSION "5.54.0") # handled by release scripts

# set up project
project(Baloo VERSION ${KF5_VERSION})

# set up extra-cmake-modules before trying anything else
include(FeatureSummary)

find_package(ECM ${KF5_DEP_VERSION} NO_MODULE)
set_package_properties(ECM
    PROPERTIES
        TYPE REQUIRED
        DESCRIPTION "Extra CMake Modules"
        URL "https://projects.kde.org/projects/kdesupport/extra-cmake-modules"
)
feature_summary(WHAT REQUIRED_PACKAGES_NOT_FOUND FATAL_ON_MISSING_REQUIRED_PACKAGES)

# we found extra-cmake-modules, so use it now
set(CMAKE_MODULE_PATH
    "${CMAKE_CURRENT_SOURCE_DIR}/cmake" ${ECM_MODULE_PATH} ${ECM_KDE_MODULE_DIR}
)

include(ECMSetupVersion)

# set up baloo versions
ecm_setup_version(PROJECT
    VARIABLE_PREFIX BALOO
    VERSION_HEADER "${CMAKE_CURRENT_BINARY_DIR}/baloo_version.h"
    PACKAGE_VERSION_FILE "${CMAKE_CURRENT_BINARY_DIR}/KF5BalooConfigVersion.cmake"
    SOVERSION 5
)

# include optional and extra cmake stuff
include(GenerateExportHeader)
include(ECMGenerateHeaders)
include(CMakePackageConfigHelpers)
include(KDEInstallDirs)
include(KDECMakeSettings)
include(KDEFrameworkCompilerSettings NO_POLICY_SCOPE)
include(ECMInstallIcons)
include(ECMAddTests)
include(ECMAddQch)
include(ECMQtDeclareLoggingCategory)
include(ECMMarkNonGuiExecutable)

option(BUILD_QCH "Build API documentation in QCH format (for e.g. Qt Assistant, Qt Creator & KDevelop)" OFF)
add_feature_info(QCH ${BUILD_QCH} "API documentation in QCH format (for e.g. Qt Assistant, Qt Creator & KDevelop)")

option(BUILD_EXPERIMENTAL "Build experimental features" OFF)
add_feature_info(EXP ${BUILD_EXPERIMENTAL} "Build experimental features")


# set up build dependencies
find_package(Qt5 ${REQUIRED_QT_VERSION} REQUIRED NO_MODULE COMPONENTS Core DBus Widgets Qml Quick Test)
find_package(KF5 ${KF5_DEP_VERSION} REQUIRED COMPONENTS CoreAddons Config DBusAddons I18n IdleTime Solid FileMetaData Crash KIO)

find_package(LMDB)
set_package_properties(LMDB
    PROPERTIES
        DESCRIPTION "Lightning Memory-Mapped Database (LMDB)"
        URL "http://symas.com/mdb"
        TYPE REQUIRED
)
if(${LMDB_FOUND})
    include_directories(${LMDB_INCLUDE_DIRS})
endif()

# compiler flags and build system
remove_definitions(-DQT_NO_CAST_FROM_ASCII)


find_package(Inotify)
set_package_properties(Inotify PROPERTIES
    PURPOSE "Filesystem alteration notifications using inotify")
set(BUILD_KINOTIFY ${Inotify_FOUND})

include_directories(
    ${CMAKE_BINARY_DIR}
    ${CMAKE_SOURCE_DIR}

    # we'll configure the rest here so that we don't have to
    # specify them in the source and test directories separately
    ${CMAKE_SOURCE_DIR}/src/lib
    ${CMAKE_BINARY_DIR}/src/lib
    ${CMAKE_BINARY_DIR}/src/codecs
    ${CMAKE_SOURCE_DIR}/src/codecs
    ${CMAKE_BINARY_DIR}/src/engine
    ${CMAKE_SOURCE_DIR}/src/engine
    ${CMAKE_BINARY_DIR}/src/file
    ${CMAKE_SOURCE_DIR}/src/file
    ${CMAKE_BINARY_DIR}/src/dbus
    ${CMAKE_SOURCE_DIR}/src/dbus
)

# targets
add_subdirectory(src)
add_subdirectory(icons)

if (BUILD_TESTING AND BUILD_KINOTIFY)
   add_subdirectory(tests)
   add_subdirectory(autotests)
endif()

# i18n
if (IS_DIRECTORY "${CMAKE_CURRENT_SOURCE_DIR}/po")
   ki18n_install(po)
endif()

# config files
set(CMAKECONFIG_INSTALL_DIR "${CMAKECONFIG_INSTALL_PREFIX}/KF5Baloo")

if (BUILD_QCH)
    ecm_install_qch_export(
        TARGETS KF5Baloo_QCH
        FILE KF5BalooQchTargets.cmake
        DESTINATION "${CMAKECONFIG_INSTALL_DIR}"
        COMPONENT Devel
    )
    set(PACKAGE_INCLUDE_QCHTARGETS "include(\"\${CMAKE_CURRENT_LIST_DIR}/KF5BalooQchTargets.cmake\")")
endif()

configure_package_config_file(
    "${CMAKE_CURRENT_SOURCE_DIR}/KF5BalooConfig.cmake.in"
    "${CMAKE_CURRENT_BINARY_DIR}/KF5BalooConfig.cmake"
    PATH_VARS KDE_INSTALL_DBUSINTERFACEDIR
    INSTALL_DESTINATION ${CMAKECONFIG_INSTALL_DIR}
)

# install targets
install(FILES
    "${CMAKE_CURRENT_BINARY_DIR}/KF5BalooConfig.cmake"
    "${CMAKE_CURRENT_BINARY_DIR}/KF5BalooConfigVersion.cmake"
    DESTINATION ${CMAKECONFIG_INSTALL_DIR}
    COMPONENT devel
)

install(EXPORT KF5BalooTargets
    NAMESPACE KF5::
    DESTINATION "${CMAKECONFIG_INSTALL_DIR}"
    FILE KF5BalooTargets.cmake)

install(FILES
    "${CMAKE_CURRENT_BINARY_DIR}/baloo_version.h"
    DESTINATION ${KF5_INCLUDE_INSTALL_DIR}
    COMPONENT Devel
)

install(FILES baloo.categories DESTINATION ${KDE_INSTALL_CONFDIR})

# and we're done
feature_summary(WHAT ALL INCLUDE_QUIET_PACKAGES FATAL_ON_MISSING_REQUIRED_PACKAGES)

=== src/engine/CMakeLists.txt ===
set(BALOO_ENGINE_SRCS
    andpostingiterator.cpp
    database.cpp
    document.cpp
    documentdb.cpp
    documentdatadb.cpp
    documenturldb.cpp
    documenttimedb.cpp
    documentiddb.cpp
    enginequery.cpp
    idtreedb.cpp
    idfilenamedb.cpp
    mtimedb.cpp
    orpostingiterator.cpp
    phraseanditerator.cpp
    positiondb.cpp
    postingdb.cpp
    postingiterator.cpp
    queryparser.cpp
    termgenerator.cpp
    transaction.cpp
    vectorpostingiterator.cpp
    vectorpositioninfoiterator.cpp
    writetransaction.cpp
    global.cpp
    fsutils.cpp
)

if(${BUILD_EXPERIMENTAL})
  set(BALOO_ENGINE_SRCS ${BALOO_ENGINE_SRCS} experimental/databasesanitizer.cpp)
endif()

add_library(KF5BalooEngine ${BALOO_ENGINE_SRCS})
add_library(KF5::BalooEngine ALIAS KF5BalooEngine)

target_link_libraries(KF5BalooEngine
    PUBLIC
    Qt5::Core
    KF5::CoreAddons
    ${LMDB_LIBRARIES}
    PRIVATE
    KF5BalooCodecs
    KF5::I18n
)

set_target_properties(KF5BalooEngine PROPERTIES
    VERSION ${BALOO_VERSION_STRING}
    SOVERSION ${BALOO_SOVERSION}
    EXPORT_NAME BalooEngine
)
##target_include_directories(KF5BalooEngine INTERFACE "$<INSTALL_INTERFACE:${KF5_INCLUDE_INSTALL_DIR}/Baloo>")

generate_export_header(KF5BalooEngine BASE_NAME BALOO_ENGINE EXPORT_FILE_NAME engine_export.h)

install(TARGETS KF5BalooEngine EXPORT KF5BalooTargets ${KF5_INSTALL_TARGETS_DEFAULT_ARGS} LIBRARY NAMELINK_SKIP)

=== src/lib/CMakeLists.txt ===
set(DBUS_INTERFACES
  ${CMAKE_BINARY_DIR}/src/dbus/maininterface.cpp
)

# CMake <= 3.9 skipped automoc for generated files
# CMake >= 3.10 requires SKIP_AUTOMOC to actually skip automoc
SET_SOURCE_FILES_PROPERTIES(${DBUS_INTERFACES} PROPERTIES GENERATED 1 SKIP_AUTOMOC 1)

set(BALOO_LIB_SRCS
    term.cpp
    query.cpp
    queryrunnable.cpp
    resultiterator.cpp
    advancedqueryparser.cpp

    file.cpp
    filemonitor.cpp
    taglistjob.cpp

    indexerconfig.cpp
    ../file/fileindexerconfig.cpp
    ../file/storagedevices.cpp
    ../file/regexpcache.cpp
    ../file/fileexcludefilters.cpp

    searchstore.cpp

    ${DBUS_INTERFACES}
)
ecm_qt_declare_logging_category(BALOO_LIB_SRCS HEADER baloodebug.h IDENTIFIER BALOO CATEGORY_NAME org.kde.baloo)

add_library(KF5Baloo ${BALOO_LIB_SRCS})
add_dependencies(KF5Baloo BalooDBusInterfaces)

add_library(KF5::Baloo ALIAS KF5Baloo)

target_link_libraries(KF5Baloo
    PUBLIC
    Qt5::Core
    KF5::CoreAddons
    KF5::FileMetaData

    PRIVATE
    KF5::ConfigCore
    Qt5::DBus
    KF5::Solid
    KF5::BalooEngine
)

set_target_properties(KF5Baloo PROPERTIES
    VERSION ${BALOO_VERSION_STRING}
    SOVERSION ${BALOO_SOVERSION}
    EXPORT_NAME Baloo
)
target_include_directories(KF5Baloo INTERFACE "$<INSTALL_INTERFACE:${KF5_INCLUDE_INSTALL_DIR}/Baloo>")

generate_export_header(KF5Baloo BASE_NAME BALOO_CORE EXPORT_FILE_NAME core_export.h)

ecm_generate_headers(KF5Baloo_CamelCase_HEADERS
    HEADER_NAMES
    Query
    QueryRunnable
    ResultIterator

    File
    FileMonitor
    TagListJob
    IndexerConfig

    PREFIX baloo
    REQUIRED_HEADERS KF5Baloo_HEADERS
)

install(TARGETS KF5Baloo EXPORT KF5BalooTargets ${KF5_INSTALL_TARGETS_DEFAULT_ARGS})

install(FILES
    ${CMAKE_CURRENT_BINARY_DIR}/core_export.h
    ${KF5Baloo_HEADERS}
    DESTINATION ${KF5_INCLUDE_INSTALL_DIR}/Baloo/baloo
    COMPONENT Devel
)

install(FILES
    ${KF5Baloo_CamelCase_HEADERS}
    DESTINATION ${KF5_INCLUDE_INSTALL_DIR}/Baloo/Baloo
    COMPONENT Devel
)

if(BUILD_QCH)
    ecm_add_qch(
        KF5Baloo_QCH
        NAME Baloo
        BASE_NAME KF5Baloo
        VERSION ${KF5_VERSION}
        ORG_DOMAIN org.kde
        SOURCES # using only public headers, to cover only public API
            ${KF5Baloo_HEADERS}
            "${CMAKE_SOURCE_DIR}/docs/distributing.md"
            "${CMAKE_SOURCE_DIR}/docs/development/build-instructions.md"
            "${CMAKE_SOURCE_DIR}/docs/user/searching.md"
        MD_MAINPAGE "${CMAKE_SOURCE_DIR}/README.md"
        LINK_QCHS
            Qt5Core_QCH
            KF5CoreAddons_QCH
            KF5FileMetaData_QCH
        BLANK_MACROS
            BALOO_CORE_EXPORT
            BALOO_CORE_DEPRECATED
            BALOO_CORE_DEPRECATED_EXPORT
        TAGFILE_INSTALL_DESTINATION ${KDE_INSTALL_QTQCHDIR}
        QCH_INSTALL_DESTINATION ${KDE_INSTALL_QTQCHDIR}
        COMPONENT Devel
    )
endif()

if (NOT WIN32)
   configure_file (
      ${CMAKE_CURRENT_SOURCE_DIR}/Baloo.pc.cmake
      ${CMAKE_CURRENT_BINARY_DIR}/Baloo.pc
      )
   install (
      FILES ${CMAKE_CURRENT_BINARY_DIR}/Baloo.pc
      DESTINATION ${KDE_INSTALL_LIBDIR}/pkgconfig
      )
endif ()

include(ECMGeneratePriFile)
ecm_generate_pri_file(
    BASE_NAME Baloo
    LIB_NAME KF5Baloo
    DEPS "core KCoreAddons KFileMetaData"
    FILENAME_VAR PRI_FILENAME
    INCLUDE_INSTALL_DIR ${KF5_INCLUDE_INSTALL_DIR}/Baloo
)
install(FILES ${PRI_FILENAME} DESTINATION ${ECM_MKSPECS_INSTALL_DIR})

=== debian/changelog ===
baloo-kf5 (5.54.0-1) unstable; urgency=medium

  * New upstream release (5.52.0).
  * Update build-deps and deps with the info from cmake
  * Refresh patches.
  * New upstream release (5.53.0).
  * Update build-deps and deps with the info from cmake
  * Rediff patches
  * New upstream release (5.54.0).
  * Update build-deps and deps with the info from cmake
  * Release to unstable

 -- Maximiliano Curia <maxy@debian.org>  Thu, 17 Jan 2019 19:26:13 -0300

baloo-kf5 (5.51.0-1) unstable; urgency=medium

  * New upstream release (5.50.0).
  * Update build-deps and deps with the info from cmake
  * New upstream release (5.51.0).
  * Update build-deps and deps with the info from cmake
  * Release to unstable

 -- Maximiliano Curia <maxy@debian.org>  Wed, 07 Nov 2018 17:16:16 +0100

baloo-kf5 (5.49.0-1) unstable; urgency=medium

  * New upstream release (5.48.0).
  * Update build-deps and deps with the info from cmake
  * New upstream release (5.49.0).
  * Update build-deps and deps with the info from cmake
  * Release to unstable

 -- Maximiliano Curia <maxy@debian.org>  Fri, 17 Aug 2018 16:17:55 +0200

baloo-kf5 (5.47.0-1) unstable; urgency=medium

  * New upstream release (5.47.0).
  * Update build-deps and deps with the info from cmake
  * Release to unstable

 -- Maximiliano Curia <maxy@debian.org>  Fri, 15 Jun 2018 12:07:46 +0200

=== debian/control ===
Source: baloo-kf5
Section: kde
Priority: optional
Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Maximiliano Curia <maxy@debian.org>
Build-Depends: cmake (>= 3.5~),
               debhelper (>= 11~),
               doxygen,
               extra-cmake-modules (>= 5.54.0~),
               graphviz,
               libkf5auth-dev (>= 5.14.0~),
               libkf5config-dev (>= 5.54.0~),
               libkf5coreaddons-dev (>= 5.54.0~),
               libkf5crash-dev (>= 5.54.0~),
               libkf5dbusaddons-dev (>= 5.54.0~),
               libkf5filemetadata-dev (>= 5.54.0~),
               libkf5i18n-dev (>= 5.54.0~),
               libkf5idletime-dev (>= 5.54.0~),
               libkf5kio-dev (>= 5.54.0~),
               libkf5solid-dev (>= 5.54.0~),
               liblmdb-dev,
               libqt5sql5-sqlite,
               libxapian-dev,
               pkg-kde-tools (>= 0.15.18~),
               qtbase5-dev (>= 5.9.0~),
               qtdeclarative5-dev (>= 5.9.0~),
               qttools5-dev-tools (>= 5.4),
Standards-Version: 4.1.4
Homepage: https://projects.kde.org/projects/frameworks/baloo
Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/baloo
Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/baloo.git

Package: baloo-kf5
Section: utils
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Breaks: baloo (<< 4:5.0), baloo4, ${kde-l10n:all}
Replaces: baloo (<< 4:5.0), baloo4, ${kde-l10n:all}
Description: framework for searching and managing metadata
 A framework for searching and managing metadata in KDE Software.
 .
 Baloo is part of the KDE Plasma desktop.

Package: baloo-kf5-dev
Section: devel
Architecture: any
Depends: baloo-kf5 (= ${binary:Version}),
         libkf5baloo5 (= ${binary:Version}),
         libkf5balooengine5 (= ${binary:Version}),
         libkf5coreaddons-dev (>= 5.54.0~),
         libkf5filemetadata-dev (>= 5.54.0~),
         ${misc:Depends},
         ${shlibs:Depends},
Breaks: baloo-dev
Replaces: baloo-dev
Recommends: libkf5baloo-doc (= ${source:Version})
Description: framework for searching and managing metadata devel files
 A framework for searching and managing metadata in KDE Software.
 .
 Baloo is part of the KDE Plasma desktop.
 .
 This package contains the development files.

Package: libkf5baloo-doc
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}
Description: framework for searching and managing metadata core lib (documentation)
 A framework for searching and managing metadata in KDE Software.
 .
 Baloo is part of the KDE Plasma desktop.
 .
 This package contains the qch documentation files.
Section: doc

Package: libkf5baloo5
Section: libs
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Breaks: libkf5baloo1, libkf5baloo2 (<< 5.9.3+git20150805), libkf5balooxapian1
Replaces: libkf5baloo1, libkf5baloo2 (<< 5.9.3+git20150805), libkf5balooxapian1
Description: framework for searching and managing metadata core lib.
 A framework for searching and managing metadata in KDE Software.
 .
 Baloo is part of the KDE Plasma desktop.

Package: libkf5balooengine5
Section: libs
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Breaks: libkf5balooengine2 (<< 5.9.3+git20150805)
Replaces: libkf5balooengine2 (<< 5.9.3+git20150805)
Description: framework for searching and managing metadata plugins
 A framework for searching and managing metadata in KDE Software.
 .
 Baloo is part of the KDE Plasma desktop.

=== debian/tests/control ===
Tests: testsuite
Depends: @, @builddeps@, build-essential, dbus (>= 1.8), xauth, xvfb
Restrictions: build-needed

Tests: acc
Depends: @, dh-acc, exuberant-ctags
Restrictions: allow-stderr

## baloo-kf5 5.56.0

=== debian/changelog ===
baloo-kf5 (5.56.0-0ubuntu1) disco; urgency=medium

  * New upstream release (5.56.0)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Sat, 09 Mar 2019 16:33:52 +0000

baloo-kf5 (5.55.0-0ubuntu1) disco; urgency=medium

  * New upstream release (5.55.0)
  * Update symbols from build logs.

 -- Rik Mills <rikmills@kubuntu.org>  Wed, 13 Feb 2019 08:28:54 +0000

baloo-kf5 (5.54.0-0ubuntu1) disco; urgency=medium

  * Add build dep on qttools5-dev for Qt5Help.
  * New upstream release (5.54.0)

 -- Rik Mills <rikmills@kubuntu.org>  Sun, 13 Jan 2019 12:33:13 +0000

baloo-kf5 (5.53.0-0ubuntu1) disco; urgency=medium

  [ Rik Mills ]
  * Refresh patches.

  [ José Manuel Santamaría Lema ]
  * New upstream release (5.53.0)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Sun, 09 Dec 2018 20:47:08 +0000

baloo-kf5 (5.52.0-0ubuntu1) disco; urgency=medium

  [ Rik Mills ]
  * New upstream release (5.51.0)

  [ José Manuel Santamaría Lema ]
  * New upstream release (5.52.0)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Thu, 22 Nov 2018 14:40:45 +0000

=== debian/control ===
Source: baloo-kf5
Section: kde
Priority: optional
Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Maximiliano Curia <maxy@debian.org>
Build-Depends: cmake (>= 3.0~),
               debhelper (>= 11~),
               doxygen,
               extra-cmake-modules (>= 5.56.0~),
               graphviz,
               libkf5auth-dev (>= 5.56.0~),
               libkf5config-dev (>= 5.56.0~),
               libkf5coreaddons-dev (>= 5.56.0~),
               libkf5crash-dev (>= 5.56.0~),
               libkf5dbusaddons-dev (>= 5.56.0~),
               libkf5filemetadata-dev (>= 5.56.0~),
               libkf5i18n-dev (>= 5.56.0~),
               libkf5idletime-dev (>= 5.56.0~),
               libkf5kio-dev (>= 5.56.0~),
               libkf5solid-dev (>= 5.56.0~),
               liblmdb-dev,
               libqt5sql5-sqlite,
               libxapian-dev,
               pkg-kde-tools (>= 0.15.18~),
               qtbase5-dev (>= 5.8.0~),
               qtdeclarative5-dev (>= 5.8.0~),
               qttools5-dev,
               qttools5-dev-tools (>= 5.4),
Standards-Version: 4.1.4
Homepage: https://projects.kde.org/projects/frameworks/baloo
Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/baloo
Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/baloo

Package: baloo-kf5
Architecture: any
Section: utils
Depends: ${misc:Depends}, ${shlibs:Depends}
Breaks: baloo (<< 4:5.0), baloo4, ${kde-l10n:all}
Replaces: baloo (<< 4:5.0), baloo4, ${kde-l10n:all}
Description: framework for searching and managing metadata
 A framework for searching and managing metadata in KDE Software.
 .
 Baloo is part of the KDE Plasma desktop.

Package: baloo-kf5-dev
Architecture: any
Section: devel
Depends: baloo-kf5 (= ${binary:Version}),
         libkf5baloo5 (= ${binary:Version}),
         libkf5balooengine5 (= ${binary:Version}),
         libkf5coreaddons-dev (>= 5.55.0~),
         libkf5filemetadata-dev (>= 5.55.0~),
         ${misc:Depends},
         ${shlibs:Depends},
Recommends: libkf5baloo-doc (= ${source:Version})
Breaks: baloo-dev
Replaces: baloo-dev
Description: framework for searching and managing metadata devel files
 A framework for searching and managing metadata in KDE Software.
 .
 Baloo is part of the KDE Plasma desktop.
 .
 This package contains the development files.

Package: libkf5baloo-doc
Architecture: all
Multi-Arch: foreign
Section: doc
Depends: ${misc:Depends}
Description: framework for searching and managing metadata core lib (documentation)
 A framework for searching and managing metadata in KDE Software.
 .
 Baloo is part of the KDE Plasma desktop.
 .
 This package contains the qch documentation files.

Package: libkf5baloo5
Architecture: any
Section: libs
Depends: ${misc:Depends}, ${shlibs:Depends}
Breaks: libkf5baloo1, libkf5baloo2 (<< 5.9.3+git20150805), libkf5balooxapian1
Replaces: libkf5baloo1, libkf5baloo2 (<< 5.9.3+git20150805), libkf5balooxapian1
Description: framework for searching and managing metadata core lib.
 A framework for searching and managing metadata in KDE Software.
 .
 Baloo is part of the KDE Plasma desktop.

Package: libkf5balooengine5
Architecture: any
Section: libs
Depends: ${misc:Depends}, ${shlibs:Depends}
Breaks: libkf5balooengine2 (<< 5.9.3+git20150805)
Replaces: libkf5balooengine2 (<< 5.9.3+git20150805)
Description: framework for searching and managing metadata plugins
 A framework for searching and managing metadata in KDE Software.
 .
 Baloo is part of the KDE Plasma desktop.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

export DEB_LDFLAGS_MAINT_APPEND := -Wl,--as-needed

l10npkgs_firstversion_ok := 4:4.14.0-2

include /usr/share/pkg-kde-tools/qt-kde-team/3/debian-qt-kde.mk
include /usr/share/pkg-kde-tools/qt-kde-team/2/l10n-packages.mk

override_dh_auto_configure:
	$(overridden_command) -- -DBUILD_QCH=ON

override_dh_strip:
	$(overridden_command) --dbgsym-migration='baloo-kf5-dbg (<= 5.19.0-1~~)'

override_dh_auto_test:
	# Disable auto tests at build time
	:

override_dh_gencontrol: l10npkgs_firstversion_ok
	dh_gencontrol

## baloo-kf5 5.62.0

=== debian/changelog ===
baloo-kf5 (5.62.0-2) unstable; urgency=medium

  * Team upload.
  * Bump Standards-Version to 4.4.0, no changes required.
  * Remove unused ${shlibs:Depends} substvar for baloo-kf5-dev.
  * Pass -DBUILD_TESTING=OFF to cmake to disable the build of tests, as they
    are not run at build time anyway.
  * Drop the 'testsuite' autopkgtest, as it does not test the installed
    packages
    - drop patch disable_failing_test, no more needed now
  * Drop the migration from baloo-kf5-dbg, no more needed after two Debian
    stable releases.
  * Merge baloo-kf5.install, and baloo-kf5.install.kfreebsd in a single file,
    and use dh-exec to limit the Linux-only files
    - add the dh-exec build dependency
  * Drop the old breaks/replaces in libkf5baloo5, and libkf5balooengine5, as
    those packages are long gone (before oldstable).
  * Remove trailing whitespace in changelog.
  * Remove the unused BINARY_VERSION_NO_EPOCH variable in rules.
  * Drop patch fix-822499.patch, fixed upstream since baloo 5.19.0.
  * Improve shlibs handling of the private libkf5balooengine library:
    - generate upstream-version-strict shlibs, so the other packages require
      current versions of it
    - add lintian overrides to the "issues" that are not really issues
  * Add Build-Depends-Package to the symbols file of libkf5baloo5.
  * Update lintian overrides.

 -- Pino Toscano <pino@debian.org>  Sun, 22 Sep 2019 08:02:14 +0200

baloo-kf5 (5.62.0-1) unstable; urgency=medium

  * Update reprotest args variable
  * New upstream release (5.62.0).
  * Update build-deps and deps with the info from cmake
  * Release to unstable

 -- Maximiliano Curia <maxy@debian.org>  Fri, 20 Sep 2019 10:12:48 -0700

baloo-kf5 (5.61.0-1) experimental; urgency=medium

  [ Scarlett Moore ]
  * Build-Depend on qttools5-dev to fix a cross build failure
    (see #915122 for more info) (Closes: 933083).

  [ Maximiliano Curia ]
  * Salsa CI automatic initialization by Tuco
  * New upstream release (5.61.0).
  * Update build-deps and deps with the info from cmake
  * Add missing version to maintscript
  * Ignore reprotest build path variations
  * Update symbols file
  * Release to experimental

  [ Jonathan Riddell ]
  * moved qdebug files

 -- Maximiliano Curia <maxy@debian.org>  Mon, 09 Sep 2019 21:10:04 +0100

=== debian/control ===
Source: baloo-kf5
Section: kde
Priority: optional
Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Maximiliano Curia <maxy@debian.org>
Build-Depends: cmake (>= 3.5~),
               debhelper (>= 11~),
               dh-exec,
               doxygen,
               extra-cmake-modules (>= 5.62.0~),
               graphviz,
               libkf5auth-dev (>= 5.14.0~),
               libkf5config-dev (>= 5.62.0~),
               libkf5coreaddons-dev (>= 5.62.0~),
               libkf5crash-dev (>= 5.62.0~),
               libkf5dbusaddons-dev (>= 5.62.0~),
               libkf5filemetadata-dev (>= 5.62.0~),
               libkf5i18n-dev (>= 5.62.0~),
               libkf5idletime-dev (>= 5.62.0~),
               libkf5kio-dev (>= 5.62.0~),
               libkf5solid-dev (>= 5.62.0~),
               liblmdb-dev,
               libqt5sql5-sqlite,
               libxapian-dev,
               pkg-kde-tools (>= 0.15.18~),
               qtbase5-dev (>= 5.11.0~),
               qtdeclarative5-dev (>= 5.11.0~),
               qttools5-dev,
               qttools5-dev-tools (>= 5.4),
Standards-Version: 4.4.0
Homepage: https://projects.kde.org/projects/frameworks/baloo
Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/baloo
Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/baloo.git

Package: baloo-kf5
Section: utils
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Breaks: baloo (<< 4:5.0), baloo4, ${kde-l10n:all}
Replaces: baloo (<< 4:5.0), baloo4, ${kde-l10n:all}
Description: framework for searching and managing metadata
 A framework for searching and managing metadata in KDE Software.
 .
 Baloo is part of the KDE Plasma desktop.

Package: baloo-kf5-dev
Section: devel
Architecture: any
Depends: baloo-kf5 (= ${binary:Version}),
         libkf5baloo5 (= ${binary:Version}),
         libkf5balooengine5 (= ${binary:Version}),
         libkf5coreaddons-dev (>= 5.62.0~),
         libkf5filemetadata-dev (>= 5.62.0~),
         ${misc:Depends},
Breaks: baloo-dev
Replaces: baloo-dev
Recommends: libkf5baloo-doc (= ${source:Version})
Description: framework for searching and managing metadata devel files
 A framework for searching and managing metadata in KDE Software.
 .
 Baloo is part of the KDE Plasma desktop.
 .
 This package contains the development files.

Package: libkf5baloo-doc
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}
Description: framework for searching and managing metadata core lib (documentation)
 A framework for searching and managing metadata in KDE Software.
 .
 Baloo is part of the KDE Plasma desktop.
 .
 This package contains the qch documentation files.
Section: doc

Package: libkf5baloo5
Section: libs
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: framework for searching and managing metadata core lib.
 A framework for searching and managing metadata in KDE Software.
 .
 Baloo is part of the KDE Plasma desktop.

Package: libkf5balooengine5
Section: libs
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: framework for searching and managing metadata plugins
 A framework for searching and managing metadata in KDE Software.
 .
 Baloo is part of the KDE Plasma desktop.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

export DEB_LDFLAGS_MAINT_APPEND := -Wl,--as-needed

l10npkgs_firstversion_ok := 4:4.14.0-2
include /usr/share/pkg-kde-tools/qt-kde-team/2/l10n-packages.mk

%:
	dh $@ --with kf5,pkgkde_symbolshelper --buildsystem kf5 --without build_stamp

override_dh_auto_configure:
	dh_auto_configure -- -DBUILD_QCH=ON -DBUILD_TESTING=OFF

override_dh_auto_test:
	# Disable auto tests at build time
	:

override_dh_makeshlibs:
	dh_makeshlibs -plibkf5balooengine5 -V
	dh_makeshlibs --remaining-packages

override_dh_gencontrol: l10npkgs_firstversion_ok
	dh_gencontrol

## baloo-kf5 5.67.0

=== debian/changelog ===
baloo-kf5 (5.67.0-0ubuntu3) focal; urgency=medium

  * d/patches: Add upstream_sync-indexerconfig-on-exit.patch
    https://bugs.kde.org/417127

 -- Rik Mills <rikmills@kde.org>  Mon, 17 Feb 2020 09:30:25 +0000

baloo-kf5 (5.67.0-0ubuntu2) focal; urgency=medium

  * Fix acc test, skip the baloosettings.h header which is not ready to build
    yet.

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Sun, 09 Feb 2020 07:59:55 +0000

baloo-kf5 (5.67.0-0ubuntu1) focal; urgency=medium

  * New upstream release (5.67.0)
  * Update symbols from build logs.

 -- Rik Mills <rikmills@kde.org>  Sat, 08 Feb 2020 09:47:37 +0000

baloo-kf5 (5.66.0-0ubuntu1) focal; urgency=medium

  * New upstream release (5.66.0)
  * Update install files.

 -- Rik Mills <rikmills@kde.org>  Sat, 11 Jan 2020 13:16:43 +0000

baloo-kf5 (5.65.0-0ubuntu1) focal; urgency=medium

  * New upstream release (5.65.0)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Sat, 14 Dec 2019 22:56:36 +0000

baloo-kf5 (5.64.0-0ubuntu1) focal; urgency=medium

  * New upstream release (5.63.0)
  * New upstream release (5.64.0)

 -- Rik Mills <rikmills@kde.org>  Sat, 09 Nov 2019 21:22:11 +0000

baloo-kf5 (5.62.0-0ubuntu2) eoan; urgency=medium

  * Sync Debian test changes:
    - Drop the 'testsuite' autopkgtest, as it does not test the installed
       packages.
    - Drop patch disable_failing_test, no more needed now.
    - Pass -DBUILD_TESTING=OFF to cmake to disable the build of tests, as
      they are not run at build time anyway.

 -- Rik Mills <rikmills@kubuntu.org>  Sun, 22 Sep 2019 11:14:14 +0100

baloo-kf5 (5.62.0-0ubuntu1) eoan; urgency=medium

  * New upstream release (5.62.0)
  * Remove unused patches.

 -- Rik Mills <rikmills@kubuntu.org>  Sat, 14 Sep 2019 08:04:36 +0100

baloo-kf5 (5.61.0-0ubuntu1) eoan; urgency=medium

  * New upstream release (5.61.0)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Mon, 12 Aug 2019 10:40:10 +0100

baloo-kf5 (5.60.0-0ubuntu2) eoan; urgency=medium

  * Disable testsuite autopkgtest also for i386 and armhf.

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Sun, 21 Jul 2019 06:56:41 +0100

baloo-kf5 (5.60.0-0ubuntu1) eoan; urgency=medium

  * Move qdebug categories file to new location.
  * New upstream release (5.60.0)

 -- Rik Mills <rikmills@kubuntu.org>  Sat, 20 Jul 2019 08:13:50 +0100

baloo-kf5 (5.59.0-0ubuntu1) eoan; urgency=medium

  * New upstream release (5.59.0)

 -- Rik Mills <rikmills@kubuntu.org>  Wed, 12 Jun 2019 11:17:04 +0100

baloo-kf5 (5.58.0-0ubuntu1) eoan; urgency=medium

  * New upstream release (5.58.0)

 -- Rik Mills <rikmills@kubuntu.org>  Mon, 13 May 2019 15:37:46 +0100

baloo-kf5 (5.57.0-0ubuntu1) eoan; urgency=medium

  * New upstream release (5.57.0)

 -- Rik Mills <rikmills@kubuntu.org>  Mon, 22 Apr 2019 08:35:35 +0100

=== debian/control ===
Source: baloo-kf5
Section: kde
Priority: optional
Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Maximiliano Curia <maxy@debian.org>
Build-Depends: cmake (>= 3.0~),
               debhelper (>= 11~),
               doxygen,
               extra-cmake-modules (>= 5.67.0~),
               graphviz,
               libkf5auth-dev (>= 5.67.0~),
               libkf5config-dev (>= 5.67.0~),
               libkf5coreaddons-dev (>= 5.67.0~),
               libkf5crash-dev (>= 5.67.0~),
               libkf5dbusaddons-dev (>= 5.67.0~),
               libkf5filemetadata-dev (>= 5.67.0~),
               libkf5i18n-dev (>= 5.67.0~),
               libkf5idletime-dev (>= 5.67.0~),
               libkf5kio-dev (>= 5.67.0~),
               libkf5solid-dev (>= 5.67.0~),
               liblmdb-dev,
               libqt5sql5-sqlite,
               libxapian-dev,
               pkg-kde-tools (>= 0.15.18~),
               qtbase5-dev (>= 5.8.0~),
               qtdeclarative5-dev (>= 5.8.0~),
               qttools5-dev,
               qttools5-dev-tools (>= 5.4),
Standards-Version: 4.1.4
Homepage: https://projects.kde.org/projects/frameworks/baloo
Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/baloo
Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/baloo

Package: baloo-kf5
Architecture: any
Section: utils
Depends: ${misc:Depends}, ${shlibs:Depends}
Breaks: baloo (<< 4:5.0), baloo4, ${kde-l10n:all}
Replaces: baloo (<< 4:5.0), baloo4, ${kde-l10n:all}
Description: framework for searching and managing metadata
 A framework for searching and managing metadata in KDE Software.
 .
 Baloo is part of the KDE Plasma desktop.

Package: baloo-kf5-dev
Architecture: any
Section: devel
Depends: baloo-kf5 (= ${binary:Version}),
         libkf5baloo5 (= ${binary:Version}),
         libkf5balooengine5 (= ${binary:Version}),
         libkf5coreaddons-dev (>= 5.67.0~),
         libkf5filemetadata-dev (>= 5.67.0~),
         ${misc:Depends},
         ${shlibs:Depends},
Recommends: libkf5baloo-doc (= ${source:Version})
Breaks: baloo-dev
Replaces: baloo-dev
Description: framework for searching and managing metadata devel files
 A framework for searching and managing metadata in KDE Software.
 .
 Baloo is part of the KDE Plasma desktop.
 .
 This package contains the development files.

Package: libkf5baloo-doc
Architecture: all
Multi-Arch: foreign
Section: doc
Depends: ${misc:Depends}
Description: framework for searching and managing metadata core lib (documentation)
 A framework for searching and managing metadata in KDE Software.
 .
 Baloo is part of the KDE Plasma desktop.
 .
 This package contains the qch documentation files.

Package: libkf5baloo5
Architecture: any
Section: libs
Depends: ${misc:Depends}, ${shlibs:Depends}
Breaks: libkf5baloo1, libkf5baloo2 (<< 5.9.3+git20150805), libkf5balooxapian1
Replaces: libkf5baloo1, libkf5baloo2 (<< 5.9.3+git20150805), libkf5balooxapian1
Description: framework for searching and managing metadata core lib.
 A framework for searching and managing metadata in KDE Software.
 .
 Baloo is part of the KDE Plasma desktop.

Package: libkf5balooengine5
Architecture: any
Section: libs
Depends: ${misc:Depends}, ${shlibs:Depends}
Breaks: libkf5balooengine2 (<< 5.9.3+git20150805)
Replaces: libkf5balooengine2 (<< 5.9.3+git20150805)
Description: framework for searching and managing metadata plugins
 A framework for searching and managing metadata in KDE Software.
 .
 Baloo is part of the KDE Plasma desktop.

## baloo-kf5 5.68.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,8 +1,8 @@
 # set minimum version requirements
 cmake_minimum_required(VERSION 3.5)
-set(REQUIRED_QT_VERSION 5.9.0)
-set(KF5_VERSION "5.54.0") # handled by release scripts
-set(KF5_DEP_VERSION "5.54.0") # handled by release scripts
+set(REQUIRED_QT_VERSION 5.12.0)
+set(KF5_VERSION "5.68.0") # handled by release scripts
+set(KF5_DEP_VERSION "5.68.0") # handled by release scripts
 
 # set up project
 project(Baloo VERSION ${KF5_VERSION})
@@ -15,13 +15,13 @@
     PROPERTIES
         TYPE REQUIRED
         DESCRIPTION "Extra CMake Modules"
-        URL "https://projects.kde.org/projects/kdesupport/extra-cmake-modules"
+        URL "https://commits.kde.org/extra-cmake-modules"
 )
 feature_summary(WHAT REQUIRED_PACKAGES_NOT_FOUND FATAL_ON_MISSING_REQUIRED_PACKAGES)
 
 # we found extra-cmake-modules, so use it now
 set(CMAKE_MODULE_PATH
-    "${CMAKE_CURRENT_SOURCE_DIR}/cmake" ${ECM_MODULE_PATH} ${ECM_KDE_MODULE_DIR}
+    "${CMAKE_CURRENT_SOURCE_DIR}/cmake" ${ECM_MODULE_PATH}
 )
 
 include(ECMSetupVersion)
@@ -35,17 +35,18 @@
 )
 
 # include optional and extra cmake stuff
-include(GenerateExportHeader)
 include(ECMGenerateHeaders)
 include(CMakePackageConfigHelpers)
 include(KDEInstallDirs)
 include(KDECMakeSettings)
 include(KDEFrameworkCompilerSettings NO_POLICY_SCOPE)
-include(ECMInstallIcons)
 include(ECMAddTests)
 include(ECMAddQch)
 include(ECMQtDeclareLoggingCategory)
 include(ECMMarkNonGuiExecutable)
+include(ECMGenerateExportHeader)
+
+set(EXCLUDE_DEPRECATED_BEFORE_AND_AT 0 CACHE STRING "Control the range of deprecated API excluded from the build [default=0].")
 
 option(BUILD_QCH "Build API documentation in QCH format (for e.g. Qt Assistant, Qt Creator & KDevelop)" OFF)
 add_feature_info(QCH ${BUILD_QCH} "API documentation in QCH format (for e.g. Qt Assistant, Qt Creator & KDevelop)")
@@ -62,7 +63,7 @@
 set_package_properties(LMDB
     PROPERTIES
         DESCRIPTION "Lightning Memory-Mapped Database (LMDB)"
-        URL "http://symas.com/mdb"
+        URL "https://symas.com/lmdb"
         TYPE REQUIRED
 )
 if(${LMDB_FOUND})
@@ -71,7 +72,9 @@
 
 # compiler flags and build system
 remove_definitions(-DQT_NO_CAST_FROM_ASCII)
-
+add_definitions(-DQT_NO_FOREACH)
+add_definitions(-DQT_DISABLE_DEPRECATED_BEFORE=0x050d00)
+add_definitions(-DKF_DISABLE_DEPRECATED_BEFORE_AND_AT=0x054300)
 
 find_package(Inotify)
 set_package_properties(Inotify PROPERTIES
@@ -98,7 +101,6 @@
 
 # targets
 add_subdirectory(src)
-add_subdirectory(icons)
 
 if (BUILD_TESTING AND BUILD_KINOTIFY)
    add_subdirectory(tests)
@@ -149,7 +151,5 @@
     COMPONENT Devel
 )
 
-install(FILES baloo.categories DESTINATION ${KDE_INSTALL_CONFDIR})
-
 # and we're done
 feature_summary(WHAT ALL INCLUDE_QUIET_PACKAGES FATAL_ON_MISSING_REQUIRED_PACKAGES)

=== autotests/integration/CMakeLists.txt ===
MACRO(BALOO_ENGINE_AUTO_TESTS)
  FOREACH(_testname ${ARGN})
    ecm_add_test(${_testname}.cpp
        TEST_NAME ${_testname}
        LINK_LIBRARIES Qt5::Test KF5::BalooEngine
    )
  ENDFOREACH()
ENDMACRO()

baloo_engine_auto_tests(
    querytest
    writetransactiontest
)

=== src/file/CMakeLists.txt ===
include_directories(${Inotify_INCLUDE_DIRS})
add_definitions(-DTRANSLATION_DOMAIN=\"baloo_file5\")

set(file_static_lib_SRCS
    # File Indexer
    mainhub.cpp
    mainadaptor.cpp
    fileindexerconfig.cpp
    basicindexingjob.cpp
    powerstatemonitor.cpp

    fileindexscheduler.cpp

    firstrunindexer.cpp
    newfileindexer.cpp
    xattrindexer.cpp
    modifiedfileindexer.cpp
    unindexedfileindexer.cpp

    filecontentindexer.cpp
    filecontentindexerprovider.cpp
    extractorprocess.cpp
    timeestimator.cpp

    indexcleaner.cpp

    # Common
    priority.cpp
    regexpcache.cpp
    fileexcludefilters.cpp
    storagedevices.cpp
    filtereddiriterator.cpp
    unindexedfileiterator.cpp
    migrator.cpp
    fileinfo.cpp

     # File Watcher
    filewatch.cpp
    pendingfilequeue.cpp
    metadatamover.cpp
    org.kde.BalooWatcherApplication.xml
    pendingfile.cpp
    kinotify.cpp

    propertydata.cpp
)

ecm_qt_declare_logging_category(file_static_lib_SRCS HEADER baloodebug.h IDENTIFIER BALOO CATEGORY_NAME org.kde.baloo)

qt5_add_dbus_interface(file_static_lib_SRCS org.kde.BalooWatcherApplication.xml baloowatcherapplication_interface)
kconfig_add_kcfg_files(file_static_lib_SRCS ../lib/baloosettings.kcfgc GENERATE_MOC)

add_library(baloofilecommon STATIC ${file_static_lib_SRCS})
target_link_libraries(baloofilecommon
    Qt5::DBus
    KF5::I18n
    KF5::Solid
    KF5::FileMetaData
    KF5::Crash
    KF5::ConfigCore
    KF5::BalooEngine
    ${Inotify_LIBRARIES}
)

set(file_SRCS
    main.cpp
)

add_executable(baloo_file ${file_SRCS})
ecm_mark_nongui_executable(baloo_file)
target_compile_definitions(baloo_file PRIVATE -DPROJECT_VERSION="${PROJECT_VERSION}")

target_link_libraries(baloo_file
    baloofilecommon
)

install(TARGETS baloo_file ${INSTALL_TARGETS_DEFAULT_ARGS})
install(FILES baloo_file.desktop DESTINATION ${AUTOSTART_INSTALL_DIR})

add_subdirectory(extractor)

install(FILES
    org.kde.BalooWatcherApplication.xml
    DESTINATION ${KDE_INSTALL_DBUSINTERFACEDIR})

=== src/lib/CMakeLists.txt ===
--- 
+++ 
@@ -22,13 +22,21 @@
     ../file/storagedevices.cpp
     ../file/regexpcache.cpp
     ../file/fileexcludefilters.cpp
+    ../file/propertydata.cpp
 
     searchstore.cpp
 
     ${DBUS_INTERFACES}
 )
-ecm_qt_declare_logging_category(BALOO_LIB_SRCS HEADER baloodebug.h IDENTIFIER BALOO CATEGORY_NAME org.kde.baloo)
+ecm_qt_declare_logging_category(BALOO_LIB_SRCS
+    HEADER baloodebug.h
+    IDENTIFIER BALOO
+    CATEGORY_NAME org.kde.baloo
+    DESCRIPTION "Baloo File debug"
+    EXPORT BALOO
+)
 
+kconfig_add_kcfg_files(BALOO_LIB_SRCS baloosettings.kcfgc GENERATE_MOC)
 add_library(KF5Baloo ${BALOO_LIB_SRCS})
 add_dependencies(KF5Baloo BalooDBusInterfaces)
 
@@ -54,7 +62,15 @@
 )
 target_include_directories(KF5Baloo INTERFACE "$<INSTALL_INTERFACE:${KF5_INCLUDE_INSTALL_DIR}/Baloo>")
 
-generate_export_header(KF5Baloo BASE_NAME BALOO_CORE EXPORT_FILE_NAME core_export.h)
+ecm_generate_export_header(KF5Baloo
+    EXPORT_FILE_NAME core_export.h
+    BASE_NAME BALOO_CORE
+    GROUP_BASE_NAME KF
+    VERSION ${KF5_VERSION}
+    DEPRECATED_BASE_VERSION 0
+    DEPRECATION_VERSIONS 5.55
+    EXCLUDE_DEPRECATED_BEFORE_AND_AT ${EXCLUDE_DEPRECATED_BEFORE_AND_AT}
+)
 
 ecm_generate_headers(KF5Baloo_CamelCase_HEADERS
     HEADER_NAMES
@@ -75,6 +91,7 @@
 
 install(FILES
     ${CMAKE_CURRENT_BINARY_DIR}/core_export.h
+    ${CMAKE_CURRENT_BINARY_DIR}/baloosettings.h
     ${KF5Baloo_HEADERS}
     DESTINATION ${KF5_INCLUDE_INSTALL_DIR}/Baloo/baloo
     COMPONENT Devel
@@ -103,10 +120,13 @@
             Qt5Core_QCH
             KF5CoreAddons_QCH
             KF5FileMetaData_QCH
+        INCLUDE_DIRS
+            ${CMAKE_CURRENT_BINARY_DIR}
         BLANK_MACROS
             BALOO_CORE_EXPORT
             BALOO_CORE_DEPRECATED
             BALOO_CORE_DEPRECATED_EXPORT
+            "BALOO_DEPRECATED_VERSION(x, y, t)"
         TAGFILE_INSTALL_DESTINATION ${KDE_INSTALL_QTQCHDIR}
         QCH_INSTALL_DESTINATION ${KDE_INSTALL_QTQCHDIR}
         COMPONENT Devel

=== tests/file/CMakeLists.txt ===
add_executable(indexerconfigtest indexerconfigtest.cpp)
target_link_libraries(indexerconfigtest baloofilecommon)
ecm_mark_as_test(indexerconfigtest)

add_executable(inotifytest inotify.cpp)
target_link_libraries(inotifytest Qt5::Core baloofilecommon)
ecm_mark_as_test(inotifytest)

#
# Storage Devices
#
add_executable(storagedevicestest storagedevicestest.cpp)
target_link_libraries(storagedevicestest Qt5::Core KF5::Solid baloofilecommon)
ecm_mark_as_test(storagedevicestest)

add_executable(filtereddiriteratorbenchmark filtereddiriteratorbenchmark.cpp)
target_link_libraries(filtereddiriteratorbenchmark Qt5::Core baloofilecommon)
ecm_mark_as_test(filtereddiriteratorbenchmark)

#
# Remaining Time //TODO: rewrite the test to use mainhub, instead of using the indexers directly
#
#[[set_source_files_properties(${CMAKE_BINARY_DIR}/src/dbus/extractor_interface.cpp PROPERTIES GENERATED 1)

 add_executable(remainingtimetest-manual
  remainingtimetest.cpp
  ${CMAKE_BINARY_DIR}/src/dbus/extractor_interface.cpp
)

add_dependencies(remainingtimetest-manual BalooDBusInterfaces)

target_link_libraries(remainingtimetest-manual
  Qt5::Core
  baloofilecommon
)

ecm_mark_as_test(remainingtimetest-manual)
]]

=== src/file/extractor/CMakeLists.txt ===
remove_definitions(-DTRANSLATION_DOMAIN=\"baloo_file5\")
add_definitions(-DTRANSLATION_DOMAIN=\"baloo_file_extractor5\")

set(EXTRACTOR_SRCS
  main.cpp
  app.cpp
  result.cpp
  idlestatemonitor.cpp
  ../priority.cpp
  ../basicindexingjob.cpp
  ../fileindexerconfig.cpp
  ../storagedevices.cpp
  ../regexpcache.cpp
  ../fileexcludefilters.cpp
  ../propertydata.cpp
)

ecm_qt_declare_logging_category(EXTRACTOR_SRCS HEADER baloodebug.h IDENTIFIER BALOO CATEGORY_NAME org.kde.baloo)
kconfig_add_kcfg_files(EXTRACTOR_SRCS ../baloosettings.kcfgc GENERATE_MOC)

add_executable(baloo_file_extractor ${EXTRACTOR_SRCS})
ecm_mark_nongui_executable(baloo_file_extractor)
target_compile_definitions(baloo_file_extractor PRIVATE -DPROJECT_VERSION="${PROJECT_VERSION}")

target_link_libraries(baloo_file_extractor
  Qt5::DBus
  Qt5::Widgets
  KF5::FileMetaData
  KF5::I18n
  KF5::ConfigCore
  KF5::Solid
  KF5::BalooEngine
  KF5::Crash
  KF5::IdleTime
)

install(TARGETS baloo_file_extractor DESTINATION ${BIN_INSTALL_DIR})

=== src/kioslaves/timeline/CMakeLists.txt ===
add_definitions(-DTRANSLATION_DOMAIN=\"kio5_timeline\")

set(kio_timeline_SRCS
  kio_timeline.cpp
  timelinetools.cpp
)

ecm_qt_declare_logging_category(kio_timeline_SRCS
    HEADER kio_timeline_debug.h
    IDENTIFIER Baloo::KIO_TIMELINE
    DEFAULT_SEVERITY Warning
    CATEGORY_NAME kf5.kio.kio_timeline
    DESCRIPTION "Baloo Timeline (KIO)"
    EXPORT BALOO
)

add_library(timeline MODULE ${kio_timeline_SRCS})

target_link_libraries(timeline
  KF5::KIOCore
  KF5::I18n
  KF5::Baloo
)

install(TARGETS timeline DESTINATION ${PLUGIN_INSTALL_DIR}/kf5/kio)
install(FILES timeline.protocol DESTINATION ${SERVICES_INSTALL_DIR})

=== debian/changelog ===
baloo-kf5 (5.68.0-0ubuntu1) focal; urgency=medium

  * Drop included upstream_sync-indexerconfig-on-exit.patch
  * New upstream release (5.68.0)
  * Update symbols from build logs.

 -- Rik Mills <rikmills@kde.org>  Wed, 25 Mar 2020 20:55:05 +0000

=== debian/control ===
--- 
+++ 
@@ -6,18 +6,18 @@
 Build-Depends: cmake (>= 3.0~),
                debhelper (>= 11~),
                doxygen,
-               extra-cmake-modules (>= 5.67.0~),
+               extra-cmake-modules (>= 5.68.0~),
                graphviz,
-               libkf5auth-dev (>= 5.67.0~),
-               libkf5config-dev (>= 5.67.0~),
-               libkf5coreaddons-dev (>= 5.67.0~),
-               libkf5crash-dev (>= 5.67.0~),
-               libkf5dbusaddons-dev (>= 5.67.0~),
-               libkf5filemetadata-dev (>= 5.67.0~),
-               libkf5i18n-dev (>= 5.67.0~),
-               libkf5idletime-dev (>= 5.67.0~),
-               libkf5kio-dev (>= 5.67.0~),
-               libkf5solid-dev (>= 5.67.0~),
+               libkf5auth-dev (>= 5.68.0~),
+               libkf5config-dev (>= 5.68.0~),
+               libkf5coreaddons-dev (>= 5.68.0~),
+               libkf5crash-dev (>= 5.68.0~),
+               libkf5dbusaddons-dev (>= 5.68.0~),
+               libkf5filemetadata-dev (>= 5.68.0~),
+               libkf5i18n-dev (>= 5.68.0~),
+               libkf5idletime-dev (>= 5.68.0~),
+               libkf5kio-dev (>= 5.68.0~),
+               libkf5solid-dev (>= 5.68.0~),
                liblmdb-dev,
                libqt5sql5-sqlite,
                libxapian-dev,
@@ -48,8 +48,8 @@
 Depends: baloo-kf5 (= ${binary:Version}),
          libkf5baloo5 (= ${binary:Version}),
          libkf5balooengine5 (= ${binary:Version}),
-         libkf5coreaddons-dev (>= 5.67.0~),
-         libkf5filemetadata-dev (>= 5.67.0~),
+         libkf5coreaddons-dev (>= 5.68.0~),
+         libkf5filemetadata-dev (>= 5.68.0~),
          ${misc:Depends},
          ${shlibs:Depends},
 Recommends: libkf5baloo-doc (= ${source:Version})

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

export DEB_LDFLAGS_MAINT_APPEND := -Wl,--as-needed

l10npkgs_firstversion_ok := 4:4.14.0-2

include /usr/share/pkg-kde-tools/qt-kde-team/3/debian-qt-kde.mk
include /usr/share/pkg-kde-tools/qt-kde-team/2/l10n-packages.mk

override_dh_auto_configure:
	$(overridden_command) -- -DBUILD_QCH=ON -DBUILD_TESTING=OFF

override_dh_strip:
	$(overridden_command) --dbgsym-migration='baloo-kf5-dbg (<= 5.19.0-1~~)'

override_dh_auto_test:
	# Disable auto tests at build time
	:

override_dh_gencontrol: l10npkgs_firstversion_ok
	dh_gencontrol
